API ReferenceAdmin API
Update Workspace Member
Update the member of a workspace
Path Parameters
id*string
Workspace member ID
Header Parameters
x-workspace-id*string
Workspace ID
x-multiple-integrations?string
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Request Body
application/json
Workspace member metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/admin/workspace-members/string" \ -H "x-workspace-id: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "email": "string", "createdAt": "string", "role": "viewer", "profilePicture": "string", "displayName": "string"}{ "id": "string", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "email": "string", "createdAt": "string", "role": "viewer", "profilePicture": "string", "displayName": "string"}